% clear the workspace.
clear all; clc

% import a data file.
My_data=importdata('input.dat');


tic;
%% initialize the array "sortx".

k=0;
s=1;

% get the vector size.
while k<=My_data(1,1)
    s=s+1;
    k=My_data(s,1);
end


%%disp(s);
Sortx=zeros(s-1,1);
k=0;
s=1;

while k<=My_data(1,1)
    Sortx(s,1)=My_data(s,4);
    s=s+1;
    k=My_data(s,1);
end

toc;
